/**
 * @filename:CustomerAssignRecordServiceImpl 2024-06-03
 * @project trade-admin V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.admin.customer.service.impl;

import com.trade.admin.customer.domain.CustomerAssignRecord;
import com.trade.admin.customer.mapper.CustomerAssignRecordMapper;
import com.trade.admin.customer.service.CustomerAssignRecordService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:客户移交分配业务实现类
 * @version: V1.0
 * @author: wanglang
 */
@Service
public class CustomerAssignRecordServiceImpl extends ServiceImpl<CustomerAssignRecordMapper, CustomerAssignRecord> implements CustomerAssignRecordService {
}
