package com.trade.admin.system.service;

import com.trade.admin.system.domain.entity.SysUser;

import java.util.Set;

/**
 * 系统权限
 */
public interface ISysPermissionService {
    /**
     * 获取角色数据权限
     *
     * @param user 用户信息
     * @return 角色权限信息
     */
    Set<String> getRolePermission(SysUser user);
    /**
     * 获取菜单数据权限
     *
     * @param user 用户信息
     * @return 菜单权限信息
     */
    Set<String> getMenuPermission(SysUser user);

}
