/**
 * @filename:CreditScoreQuotaDao 2024-06-11
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.advocacypage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.client.advocacypage.domain.CreditScoreQuota;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description:授信分数额度数据访问层
 * @version: V1.0
 * @author: wanglang
 */
@Mapper
public interface CreditScoreQuotaMapper extends BaseMapper<CreditScoreQuota> {

    CreditScoreQuota selectByScore(@Param("score") double score);
}
