/**
 * @filename:CreditQuotaLogicServiceImpl 2024-06-11
 * @project trade-client  V1.0
 * Copyright(c) 2024 wanglang Co. Ltd.
 * All right reserved. 
 */
package com.trade.client.advocacypage.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trade.client.advocacypage.domain.CreditQuotaLogic;
import com.trade.client.advocacypage.mapper.CreditQuotaLogicMapper;
import com.trade.client.advocacypage.service.CreditQuotaLogicService;
import org.springframework.stereotype.Service;


/**   
 * @Description:服务实现
 *
 * @version: V1.0
 * @author: wanglang
 * 
 */
@Service
public class CreditQuotaLogicServiceImpl  extends ServiceImpl<CreditQuotaLogicMapper, CreditQuotaLogic> implements CreditQuotaLogicService {
	
}