package com.trade.client.consumer.service;

import com.trade.client.consumer.domain.model.LoginMo;

import java.util.Map;

/**
 * @description: 客户登录业务接口
 * @Author: wanglang
 * @Date: 2024/5/22 16:42
 * @Version: 1.0
 */
public interface CustomerUserLoginService {

    /**
     * 登录
     *
     * @param login 登录信息
     * @return token值
     */
    Map<String, String> login(LoginMo login);
}
