package com.trade.client.credit.controller;

import com.trade.service.credit.service.BizEntityCreditAuthService;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.annotation.Resource;

/**
 * <p>
 * 企业征信授权
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Controller
@RequestMapping("/bizEntityCreditAuth")
public class BizEntityCreditAuthController {

    @Resource
    private BizEntityCreditAuthService bizEntityCreditAuthService;

    /**
     * 企业征信授权
     * 
     * @param customerUserId 用户id
     */
    @RequestMapping("/doAuth")
    public void doAuth(Long customerUserId) {
        bizEntityCreditAuthService.doAuth(customerUserId);
    }
}
