/**
 * @filename:CustomerOperationLogMapper 2024-05-14
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.client.system.domain.CustomerOperationLog;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description:客户操作日志数据访问层
 * @version: V1.0
 * @author: wanglang
 * @Date: 2024/5/14
 */
@Mapper
public interface CustomerOperationLogMapper extends BaseMapper<CustomerOperationLog> {

}
