package com.trade.common.utils;

/**
 * @Description:纯常量工具类
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年6月5日 下午3:49:30
 */
public class ConstantUtil {
    /** 操作类型常量 */
    // 保存（暂存）
    public static final String OPERATE_TYPE_SAVE = "save";
    // 提交
    public static final String OPERATE_TYPE_SUBMIT = "submit";

    /**
     * 上午
     **/
    public static final String AM_CNAME = "上午";
    /**
     * 下午
     **/
    public static final String PM_CNAME = "下午";
    /* 主业务类型常量 */
    /**
     * 企业准入
     */
    public static final String ENTERPRISE_ACCESS = "enterprise";
    public static final String ENTERPRISE_PERSON = "enterprisePerson";
    public static final String TRADING_PLATFORM = "tradingPlatform";
    public static final String PURCHASE_ORDER = " purchaseOrder";
    /**
     * 验收单
     */
    public static final String ACCEPTANCE_SHEET = "AcceptanceSheet";
    /**
     * 采购合同管理
     **/
    public static final String PURCHASE_CONTRACT = "PurchaseContract";
    /**
     * 底层
     */
    public static final String UNDERLYING_MANAGE = "UnderlyingManage";
    /**
     * 结算单
     */
    public static final String BILL_BASIC_INFORMATION = "BillBasicInformation";
    /* 单据编号常量 */
    /**
     * 验收单编号
     */
    public static final String ACCEPTANCE_SHEET_CODE = "SH";
    /**
     * 结算单编号
     */
    public static final String BILL_CODE = "JS";
    /**
     * 底层编号
     */
    public static final String UNDERLYING_CODE = "ULD";
    /**
     * 贸易平台
     */
    public static final String TRADE_PLATFORM = "P";
    /**
     * 进口商编号
     */
    public static final String IMPORTER_CODE = "BuyerCN";
    /**
     * 采购合同编号
     */
    public static final String PURCHASE_CONTRACT_CODE = "PC";
    /**
     * 销售合同编号
     */
    public static final String SALES_CONTRACT_NO_PREFIX = "SC";
    /**
     * 采购订单
     */
    public static final String PURCHASE_ORDER_NO_PREFIX = "PO";
}
