package com.trade.service;

public class DictConstants {
    /*是否枚举,sys_yes_no*/
    //是
    public static final String SYS_YES = "Y";
    //否
    public static final String SYS_NO = "N";

    /*企业类型枚举,enterprise_type*/
    //内资生产企业
    public static final String ENTERPRISE_TYPE_PRODUCE = "1";
    //外商投资生产企业
    public static final String ENTERPRISE_TYPE_PRODUCE_EXTERNAL = "2";
    //外贸企业
    public static final String ENTERPRISE_TYPE_EXTERNAL_TRADE = "3";
    //其他型企业
    public static final String ENTERPRISE_TYPE_OTHER = "9";

    /*认证状态枚举,certification_status*/
    //未认证
    public static final String CERTIFICATION_STATUS_UNSUBMITTED = "not_certification";
    //认证中
    public static final String CERTIFICATION_STATUS_PROCESSING = "in_certification";
    //已认证（认证通过）
    public static final String CERTIFICATION_STATUS_PASSED = "passed_certification";
    //认证不通过
    public static final String CERTIFICATION_STATUS_FAILED = "failed_certification";

    /*国家编码枚举,country_code*/
    //中国（不含港澳台地区）
    public static final String COUNTRY_CODE_CN = "CN";
    //中国香港
    public static final String COUNTRY_CODE_HK = "HK";

    /*个人证件类型枚举,personal_cert_type*/
    //身份证
    public static final String PERSONAL_CERT_TYPE_CN_IDCARD = "psn_cn_idcard";
    //护照
    public static final String PERSONAL_CERT_TYPE_PASSPORT = "psn_passport";

    /*出口类型枚举,export_type*/
    // 自营出口
    public static final String EXPORT_TYPE_SELF = "self_export";
    // 代理出口
    public static final String EXPORT_TYPE_PROXY = "agency_export";

    /** 产品类型枚举,business_product */
    // F理通
    public static final String PRODUCT_F_TRADE = "f_trade";
    // 贸服通
    public static final String PRODUCT_E_TRADE = "e_trade";
    // 跨境贸易
    public static final String PRODUCT_CROSS_BORDER_TRADE = "cross_border_trade";

    /** 贸易平台所在区域枚举,district_code */
    // 中国大陆
    public static final String DISTRICT_CN_MAINLAND = "CN_MAINLAND";
    // 中国香港
    public static final String DISTRICT_CN_HK = "CN_HK";
    // 中国澳门
    public static final String DISTRICT_CN_MO = "CN_MO";
    // 中国台湾
    public static final String DISTRICT_CN_TW = "CN_TW";
    // 境外
    public static final String DISTRICT_FOREIGN = "FOREIGN";

    /** 采购合同状态枚举,purchase_contract_status */
    // 草稿
    public static final String PURCHASE_CONTRACT_STATUS_DRAFT = "0";
    // 待上传合同
    public static final String PURCHASE_CONTRACT_STATUS_SUBMIT = "1";
    // 合同签署中
    public static final String PURCHASE_CONTRACT_STATUS_SIGNING = "2";
    // 合同签署超时（失败）
    public static final String PURCHASE_CONTRACT_STATUS_SIGNED_FAILED = "3";
    // 已完成
    public static final String PURCHASE_CONTRACT_STATUS_DONE = "4";

}
