package com.trade.service.companyrelated.domain.vo;

import com.trade.service.companyrelated.domain.BizEntityRelated;
import com.trade.service.companyrelated.domain.BizEntityRelatedPerson;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class BizEntityRelatedVO extends BizEntityRelated {

    private static final long serialVersionUID = -1363353909436983954L;
    @Valid
    @NotEmpty(message = "相关人员不能为空")
    private List<BizEntityRelatedPerson> relatedPersons;
}
