package com.trade.service.companyrelated.domain.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.dto.BaseSearch;

import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class ImporterEntitySearch extends BaseSearch {

    private Long customerUserId;
    private String entityName;
    private String region;
    private String status;
    private String country;
    /**
     * 创建时间开始
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTimeStart;
    /**
     * 创建时间结束
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTimeEnd;
}
