package com.trade.service.companyrelated.domain.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.dto.BaseSearch;

import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class VendorEntitySearch extends BaseSearch {

    private Long userId;
    private String entityName;
    private String entityNo;
    /**
     * 创建时间开始
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTimeStart;
    /**
     * 创建时间结束
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTimeEnd;
}
