package com.trade.service.companyrelated.mapper;

import com.trade.service.companyrelated.domain.BizEntityRelated;
import com.trade.service.companyrelated.domain.vo.BizEntityRelatedSearch;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 关系企业信息 Mapper 接口
 * </p>
 *
 * @author baomidou
 * @since 2024-05-28
 */
@Mapper
public interface BizEntityRelatedMapper extends BaseMapper<BizEntityRelated> {

    BizEntityRelated getByUserIdAndCertNo(@Param("userId") Long userId, @Param("certNo")String certNo);

    List<BizEntityRelated> queryListBySearch(BizEntityRelatedSearch search);
}
