package com.trade.service.companyrelated.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.companyrelated.domain.VendorEntity;
import com.trade.service.companyrelated.domain.vo.VendorEntitySearch;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 供应商企业信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-03
 */
public interface VendorEntityMapper extends BaseMapper<VendorEntity> {

    List<VendorEntity> queryListBySearch(VendorEntitySearch search);

    VendorEntity getByUserIdAndEntityName(@Param("customerUserId") Long customerUserId,
            @Param("entityName") String entityName);
}
