package com.trade.service.contract.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * 合同常量类
 */
public class ContractConstant {

    public static final Integer CONTRACT_PLATFORM_ESIGN = 1;// 电子签平台 - e签宝
    public static final Integer CONTRACT_PLATFORM_FADADA = 2;// 电子签平台 -法大大
    public static final String CONTRACT_PLATFORM_SERVICE_NAME_ESIGN = "ESign";// 电子签平台 - e签宝
    public static final String CONTRACT_PLATFORM_SERVICE_NAME_FADADA = "faDada";// 电子签平台 -法大大
    public static Map<Integer, String> contractStrategyMap = new HashMap<>();
    static {
        contractStrategyMap.put(CONTRACT_PLATFORM_ESIGN, CONTRACT_PLATFORM_SERVICE_NAME_ESIGN);
        contractStrategyMap.put(CONTRACT_PLATFORM_FADADA, CONTRACT_PLATFORM_SERVICE_NAME_FADADA);
    }
}
