package com.trade.service.contract.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@TableName("e_sign_file")
public class ESignFile extends BizBaseEntity {

    private static final long serialVersionUID = -6015518646274628716L;
    private String flowId;// e签宝签署流程ID
    private String eFileId;// e签宝合同签署文件ID
    private String fileName;// 文件名称（冗余字段，用于存证区分关键字）
    private Long rawFileId;// 未签署文件id(文件系统)
    private Long signedFileId;// 已签署文件ID(文件系统)
}
