package com.trade.service.contract.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@TableName("e_sign_flow_signer")
public class ESignFlowSigner extends BizBaseEntity {

    private static final long serialVersionUID = -8684747523232878125L;
    private String flowId;// 流程表ID
    private String eAccountId;// 签署方账户ID
    private Integer status;// 签署状态 0 待签署 1 已签署 2 已拒签
}
