package com.trade.service.contract.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.contract.entity.ESignFlow;
import com.trade.service.contract.entity.ESignFlowSigner;

import java.util.List;

public interface ESignFlowSignerService extends IService<ESignFlowSigner> {

    /**
     * 新增e签宝签署方记录表
     * 
     * @param flowSigner 签署方记录
     * @return boolean
     */
    boolean add(ESignFlowSigner flowSigner);

    List<ESignFlowSigner> getListByFlowId(String flowId);

}
