package com.trade.service.contract.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.trade.service.contract.entity.ESignFlowSigner;
import com.trade.service.contract.mapper.ESignFlowSignerMapper;
import com.trade.service.contract.service.ESignFlowSignerService;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

@Component
public class ESignFlowSignerServiceImpl extends ServiceImpl<ESignFlowSignerMapper, ESignFlowSigner> implements ESignFlowSignerService {

    @Override
    public boolean add(ESignFlowSigner flowSigner) {
        return save(flowSigner);
    }

    @Override
    public List<ESignFlowSigner> getListByFlowId(String flowId) {
        return this.baseMapper.selectList(new QueryWrapper<ESignFlowSigner>().eq("flow_id", flowId));
    }
}
