package com.trade.service.enterprise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.enterprise.domain.Enterprise;
import com.trade.service.enterprise.dto.EnterpriseBaseInfoDto;
import com.trade.service.enterprise.dto.EnterpriseSearchDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业信息数据库访问
 *
 * @author hlb
 * @since 2024-05-29 15:07:42
 */
public interface EnterpriseMapper extends BaseMapper<Enterprise> {

    List<EnterpriseBaseInfoDto> findBySearch(EnterpriseSearchDto search);

    List<EnterpriseBaseInfoDto> findByCustomerInfo(@Param("customerInfo") String customerInfo);
}
