package com.trade.service.order.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购订单-发票信息
 * </p>
 *
 * @author wl
 * @since 2024-09-14
 */
@Getter
@Setter
@TableName("purchase_order_invoice")
public class PurchaseOrderInvoice extends BizBaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 采购订单id
     */
    private Long orderId;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 发票金额
     */
    private BigDecimal amount;
    /**
     * 发票文件id
     */
    private Long fileId;
}
