/**
 * @filename:PurchaseOrderCommodityMapper 2024-09-10
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.order.domain.PurchaseOrderCommodity;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description:采购订单商品信息数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface PurchaseOrderCommodityMapper extends BaseMapper<PurchaseOrderCommodity> {
}
