/**
 * @filename:ContractTermsMapper 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.sales.domain.ContractTerms;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description:合同条款数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface ContractTermsMapper extends BaseMapper<ContractTerms> {
}
