/**
 * @filename:ContractFileServiceImpl 2024-09-04
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.service.impl;

import com.trade.service.sales.domain.ContractFile;
import com.trade.service.sales.mapper.ContractFileMapper;
import com.trade.service.sales.service.ContractFileService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:合同文件信息服务实现
 * @version: v1.0.0
 * @author: wanglang
 */
@Service
public class ContractFileServiceImpl extends ServiceImpl<ContractFileMapper, ContractFile> implements ContractFileService {
}
