package com.trade.service.salesorder.dto;

import com.trade.service.salesorder.domain.SalesOrderContainer;
import com.trade.service.salesorder.domain.SalesOrderLogistics;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class SalesOrderDeliverDTO extends SalesOrderLogistics {

    private static final long serialVersionUID = 7282446285965218276L;
    @NotEmpty(message = "集装箱不能为空")
    List<SalesOrderContainer> containers;
}
