package com.trade.service.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.salesorder.domain.SalesOrderGoods;
import com.trade.service.salesorder.vo.SalesOrderGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 销售订单-关联商品 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface SalesOrderGoodsMapper extends BaseMapper<SalesOrderGoods> {

    List<SalesOrderGoodsVO> listByOrderId(@Param("saleOrderId") Long orderId);

    int physicallyDeleteByOrderId(@Param("saleOrderId") Long orderId);
}
