package com.trade.service.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.PageInfo;
import com.trade.service.salesorder.domain.SalesOrderInvoice;
import com.trade.service.salesorder.vo.SalesOrderInvoiceDtlVO;
import com.trade.service.salesorder.vo.SalesOrderInvoiceSearch;
import com.trade.service.salesorder.vo.SalesOrderInvoiceVO;

import java.util.List;

/**
 * <p>
 * 销售订单-发票信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface SalesOrderInvoiceMapper extends BaseMapper<SalesOrderInvoice> {

    List<SalesOrderInvoiceVO> queryListBySearch(SalesOrderInvoiceSearch search);

    SalesOrderInvoiceDtlVO getDetailByInvoiceNo(String invoiceNo);
}
