package com.trade.service.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.PageInfo;
import com.trade.service.salesorder.domain.SalesOrder;
import com.trade.service.salesorder.vo.SalesOrderSearch;
import com.trade.service.salesorder.vo.SalesOrderVO;

import java.util.List;

/**
 * <p>
 * 销售订单表 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface SalesOrderMapper extends BaseMapper<SalesOrder> {

    List<SalesOrderVO> queryListBySearch(SalesOrderSearch search);
}
