package com.trade.service.salesorder.vo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import com.trade.service.salesorder.domain.SalesOrderContainer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SalesOrderLogisticsDtlVO {
    @ApiModelProperty(name = "id", value = "物流id")
    private Long id;
    @ApiModelProperty(name = "orderNo", value = "订单编号")
    private String orderNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "logisticsCompany", value = "物流公司")
    private String logisticsCompany;
    @ApiModelProperty(name = "portDeparture", value = "起运港")
    private String portDeparture;
    @ApiModelProperty(name = "portDestination", value = "目的港")
    private String portDestination;
    @ApiModelProperty(name = "deliverTime", value = "发货时间")
    private LocalDateTime deliverTime;
    @ApiModelProperty(name = "ladingBillNo", value = "提单号")
    private String ladingBillNo;
    @ApiModelProperty(name = "ladingBillFileId", value = "提单文件id")
    private Long ladingBillFileId;
    @ApiModelProperty(name = "estimatedArrivalTime", value = "预计送达日期")
    private LocalDate estimatedArrivalTime;
    @ApiModelProperty(name = "deliverRemark", value = "发货备注")
    private String deliverRemark;
    @ApiModelProperty(name = "salesOrderContainerList", value = "集装箱列表")
    List<SalesOrderContainer> salesOrderContainerList;
}
