package com.trade.service.tradingPlatform.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.tradingPlatform.domain.TradingPlatform;
import com.trade.service.tradingPlatform.dto.TradingPlatformBaseInfo;
import com.trade.service.tradingPlatform.dto.TradingPlatformSearchDto;

import java.util.List;

/**
 * 贸易平台数据库访问
 *
 * @author hlb
 * @since 2024-06-05 17:00:03
 */
public interface TradingPlatformMapper extends BaseMapper<TradingPlatform> {
    List<TradingPlatformBaseInfo> findBySearch(TradingPlatformSearchDto search);
}

