/**
 * @filename:CustomerAssignRecordDao 2024-06-03
 * @project trade-admin V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.admin.customer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.admin.customer.domain.CustomerAssignRecord;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description:客户分配移交mapper
 * @version: V1.0
 * @author: wanglang
 */
@Mapper
public interface CustomerAssignRecordMapper extends BaseMapper<CustomerAssignRecord> {
}
