package com.trade.client.advocacypage.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 预计授信额度
 * @Author: wanglang
 * @Date: 2024/6/11
 * @Version: 1.0
 */
@Data
public class EstimatedCreditQuotaDto {

    /**
     * 地区
     */
    @ApiModelProperty(name = "region", value = "地区")
    private String region;
    /**
     * 国家
     */
    @ApiModelProperty(name = "country", value = "国家")
    private String country;
    /**
     * 有无官方网站
     */
    @ApiModelProperty(name = "officialWebsite", value = "有无官方网站")
    private String officialWebsite;
    /**
     * 买卖企业类型
     */
    @ApiModelProperty(name = "buyerEnterpriseType", value = "买卖企业类型")
    private String buyerEnterpriseType;
    /**
     * 买卖合作时间
     */
    @ApiModelProperty(name = "buyerCooperationTime", value = "买卖合作时间")
    private String buyerCooperationTime;
    /**
     * 买方历史最长回款账期
     */
    @ApiModelProperty(name = "BuyerMaximumPaybackPeriod", value = "买方历史最长回款账期")
    private String buyerMaximumPaybackPeriod;
}
