package com.trade.client.credit.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.credit.domain.BizCreditApply;
import com.trade.service.credit.domain.vo.BizCreditApplyVO;

/**
 * <p>
 * 授信申请信息记录 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
public interface CBizCreditApplyService extends IService<BizCreditApply> {

    /**
     * 临时保存授信申请信息
     * 
     * @param bizCreditApplyVO 授信申请信息
     */
    Long tempSave(BizCreditApplyVO bizCreditApplyVO);

    Boolean submit(BizCreditApplyVO bizCreditApplyVO);
}
