package com.trade.service.companyrelated.domain.vo;

import com.trade.common.core.dto.BaseSearch;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class BizEntityRelatedSearch extends BaseSearch {

    private Long userId;
    private String entityName;
    private String entityType;
    private String relateType;
    private String country;
    /**
     * 更新时间开始
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date modifiedTimeStart;
    /**
     * 更新时间结束
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date modifiedTimeEnd;
}
