package com.trade.service.contract.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import lombok.*;

import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@TableName("e_sign_flow")
@NoArgsConstructor
@AllArgsConstructor
public class ESignFlow extends BizBaseEntity {

    private static final long serialVersionUID = -3152713467094668206L;
    private String bizSysId;// 业务系统ID
    private String flowId;// 流程ID
    private String scene;// 场景title
    private Boolean autoArchive;// 是否自动归档
    private Integer status;// 流程状态
    private LocalDateTime expiredTime;// 过期时间
}
