package com.trade.service.contract.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 文件模板配置
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-05
 */
@Getter
@Setter
@TableName("s_file_template")
public class SFileTemplate extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 模板编号
     */
    private String templateCode;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 生成文件默认名称
     */
    private String defaultName;

    /**
     * 模板绝对路径
     */
    private String srcPath;

    /**
     * 生成文件存储目录
     */
    private String destDir;
}
