package com.trade.service.contract.queue;

import com.trade.service.contract.config.RabbitMqConfig;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class MessageSender {

    @Resource
    RabbitTemplate rabbitTemplate;

    public void sendESignCallbackMessage(String message) {
        rabbitTemplate.convertAndSend(RabbitMqConfig.E_SIGN_EXCHANGE, RabbitMqConfig.QUEUE_E_SIGN_CALLBACK_ROUTING_KEY,
                message);
    }

    public void sendSignNotice2BizSys(String message) {
    }
}
