package com.trade.service.contract.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.contract.entity.SFileTemplate;
import org.springframework.cache.annotation.Cacheable;

/**
 * <p>
 * 文件模板配置 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-05
 */
public interface ISFileTemplateService extends IService<SFileTemplate> {

    SFileTemplate selectByCode(String code);

    SFileTemplate selectByFileType(String fileType);
}
