package com.trade.service.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.enterprise.domain.EnterpriseChangeRecord;

/**
 * 企业信息变更记录基础服务接口
 *
 * @author hlb
 * @since 2024-05-29 15:07:42
 */
public interface EnterpriseChangeRecordBaseService extends IService<EnterpriseChangeRecord> {

    /**
     * 获取最新一条变更记录
     *
     * @param customerId          客户ID
     * @param certificationStatus 认证状态
     */
    EnterpriseChangeRecord getLatestRecord(Long customerId, String certificationStatus);
}

