package com.trade.service.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.enterprise.domain.EnterpriseRelatedPerson;

import java.util.List;
import java.util.function.Function;

/**
 * 企业相关人员基础服务接口
 *
 * @author hlb
 * @since 2024-05-29 15:07:43
 */
public interface EnterpriseRelatedPersonBaseService extends IService<EnterpriseRelatedPerson> {
    List<EnterpriseRelatedPerson> getPersonsByChangeRecordId(Long changeRecordId);
    EnterpriseRelatedPerson getLegalByChangeRecordId(Long changeRecordId);

    EnterpriseRelatedPerson getContactByChangeRecordId(Long changeRecordId);

}

