package com.trade.service.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.order.domain.PurchaseOrderInvoice;

/**
 * <p>
 * 采购订单-发票信息 服务类
 * </p>
 *
 * @author wl
 * @since 2024-09-14
 */
public interface PurchaseOrderInvoiceService extends IService<PurchaseOrderInvoice> {

    /**
     * 根据订单id获取发票信息
     * 
     * @param orderId 订单id
     * @return 发票信息
     */
    PurchaseOrderInvoice getByOrderId(Long orderId);
}
