/**
 * @filename:PurchaseOrderCommodityServiceImpl 2024-09-10
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.order.service.impl;

import com.trade.service.order.domain.PurchaseOrderCommodity;
import com.trade.service.order.mapper.PurchaseOrderCommodityMapper;
import com.trade.service.order.service.PurchaseOrderCommodityService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:采购订单商品信息服务实现
 * @version: v1.0.0
 * @author: wanglang
 */
@Service
public class PurchaseOrderCommodityServiceImpl extends ServiceImpl<PurchaseOrderCommodityMapper, PurchaseOrderCommodity> implements PurchaseOrderCommodityService {
}
