package com.trade.service.order.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 采购订单物流分页VO
 * @Author: wanglang
 * @Date: 2024/9/13 16:36
 * @Version: 1.0
 */
@Data
public class PurchaseOrderLogisticsPageVo extends PurchaseOrderLogisticsVo {

    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "purchaseContractInfo", value = "采购合同编号")
    private String purchaseContractNo;
    @ApiModelProperty(name = "purchaseContractName", value = "采购合同名称")
    private String purchaseContractName;
    @ApiModelProperty(name = "agencyName", value = "代理公司名称")
    private String agencyName;
    @ApiModelProperty(name = "vendorEntityName", value = "供应商名称")
    private String vendorEntityName;
    @ApiModelProperty(name = "customerIdentifierNo", value = "客户id")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "enterpriseName", value = "企业名称")
    private String enterpriseName;
}
