/**
 * @filename:ContractTermsExtendServiceImpl 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.service.impl;

import com.trade.service.sales.domain.ContractTermsExtend;
import com.trade.service.sales.mapper.ContractTermsExtendMapper;
import com.trade.service.sales.service.ContractTermsExtendService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:合同条款扩展信息服务实现
 * @version: v1.0.0
 * @author: wanglang
 */
@Service
public class ContractTermsExtendServiceImpl extends ServiceImpl<ContractTermsExtendMapper, ContractTermsExtend> implements ContractTermsExtendService {
}
