package com.trade.service.sales.vo;

import javax.validation.constraints.NotNull;

import com.trade.common.core.dto.BaseSearch;

import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class SalesCommoditySearch extends BaseSearch {

    @NotNull(message = "销售合同ID不能为空")
    private Long salesContractId;
    private String name;
}
