package com.trade.service.sales.vo;

import com.trade.service.sales.domain.ContractTermsExtend;
import com.trade.service.sales.dto.ContractFileDto;

import com.trade.service.sales.dto.ContractTermsDto;
import com.trade.service.sales.dto.SalesCommodityDto;
import com.trade.service.sales.dto.SalesContractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 合同详情信息
 * @Author: wanglang
 * @Date: 2024/9/5 9:44
 * @Version: 1.0
 */
@Data
public class SalesContractInfoVo {

    @ApiModelProperty(name = "salesContractInfoDto", value = "销售合同信息")
    private SalesContractDto salesContract;
    @ApiModelProperty(name = "salesCommoditys", value = "商品信息")
    private List<SalesCommodityDto> salesCommoditys;
    @ApiModelProperty(name = "contractFile", value = "文件信息")
    private ContractFileDto contractFile;
    @ApiModelProperty(name = "contractTermsDto", value = "合同条款信息")
    private ContractTermsDto contractTermsDto;
}
