package com.trade.service.salesorder.service.impl;

import java.util.List;

import com.trade.service.salesorder.vo.SalesOrderGoodsVO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trade.service.salesorder.domain.SalesOrderGoods;
import com.trade.service.salesorder.mapper.SalesOrderGoodsMapper;
import com.trade.service.salesorder.service.ISalesOrderGoodsService;

/**
 * <p>
 * 销售订单-关联商品 服务实现类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
@Service
public class SalesOrderGoodsServiceImpl extends ServiceImpl<SalesOrderGoodsMapper, SalesOrderGoods> implements ISalesOrderGoodsService {

    @Override
    public List<SalesOrderGoodsVO> listByOrderId(Long orderId) {
        return this.baseMapper.listByOrderId(orderId);
    }

    @Override
    public void removeByOrderId(Long orderId) {
        this.baseMapper.physicallyDeleteByOrderId(orderId);
    }
}
