package com.trade.service.salesorder.vo;

import java.util.List;

import com.trade.service.salesorder.domain.SalesOrderContainer;
import com.trade.service.salesorder.domain.SalesOrderGoods;
import com.trade.service.salesorder.domain.SalesOrderInvoice;
import com.trade.service.salesorder.domain.SalesOrderLogistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SalesOrderDtlVO {

    @ApiModelProperty(name = "salesOrderVO", value = "订单信息")
    SalesOrderVO salesOrderVO;
    @ApiModelProperty(name = "salesOrderGoodsList", value = "订单商品信息列表")
    private List<SalesOrderGoodsVO> salesOrderGoodsList;
    @ApiModelProperty(name = "salesOrderLogistics", value = "物流信息")
    SalesOrderLogistics salesOrderLogistics;
    @ApiModelProperty(name = "salesOrderContainerList", value = "集装箱信息列表")
    List<SalesOrderContainer> salesOrderContainerList;
    @ApiModelProperty(name = "salesOrderInvoice", value = "发票信息")
    SalesOrderInvoice salesOrderInvoice;
    @ApiModelProperty(name = "salesOrderPayInfoVO", value = "收款信息")
    SalesOrderPayInfoVO salesOrderPayInfoVO;
}
